com.dlsc.flexgantt.swing.selector

## Class TimeZoneSelector

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - javax.swing.JWindow
        - - com.dlsc.flexgantt.swing.selector.Selector
          - - com.dlsc.flexgantt.swing.selector.TimeZoneSelector

- All Implemented Interfaces:
    ImageObserver, LayoutManager, MenuContainer, Serializable, Accessible, RootPaneContainer

      public class TimeZoneSelector
      extends Selector

  A selector used for changing the time zone that is displayed in the `Dateline`. The selector content will be an instance of `TimeZonePanel`.
  Since:
    1.0
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann
  See Also:
    `IDatelineModel.setTimeZone(TimeZone)`, `TimeZoneDialog`, Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.dlsc.flexgantt.swing.selector.Selector

      `Selector.Location`

    - ### Nested classes/interfaces inherited from class javax.swing.JWindow

      `JWindow.AccessibleJWindow`

    - ### Nested classes/interfaces inherited from class java.awt.Window

      `Window.AccessibleAWTWindow, Window.Type`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JWindow

      `accessibleContext, rootPane, rootPaneCheckingEnabled`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeZoneSelector(JComponent parentComponent, AbstractGanttChart gc)` Constructs a new time zone selector.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `cancelPressed()` The method that gets called when the user hits the cancel button.
    `JButton` | `getCancelButton()` Returns the cancel button.
    `JButton` | `getOkButton()` Returns the OK button.
    `JTextField` | `getTextField()` Returns the filter text field.
    `TimeZonePanel` | `getTimeZonePanel()` Returns the panel that displays the time zones.
    `protected void` | `okPressed()` The method that gets called when the user hits the ok button.
    `void` | `setSelectedTimeZone(TimeZone zone)` Specifies which time zone shall be selected.
    `void` | `setVisible(boolean b)` Overriden to first select the currently used time zone before actually showing the selector.

    - ### Methods inherited from class com.dlsc.flexgantt.swing.selector.Selector

      `addLayoutComponent, getCloseSelectorLabel, getContentComponent, getFooterPanel, getGlobalAnimationDuration, getHeaderPanel, getParentComponent, getSelectorLocation, getTitleLabel, isAnimationEnabled, isAutoHideEnabled, isGlobalAnimationEnabled, isGlobalAutoHideEnabled, layoutContainer, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent, setAnimationEnabled, setAutoHideEnabled, setContentComponent, setGlobalAnimationDuration, setGlobalAnimationEnabled, setGlobalAutoHideEnabled`

    - ### Methods inherited from class javax.swing.JWindow

      `addImpl, createRootPane, getAccessibleContext, getContentPane, getGlassPane, getGraphics, getLayeredPane, getRootPane, getTransferHandler, isRootPaneCheckingEnabled, paramString, remove, repaint, setContentPane, setGlassPane, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update, windowInit`

    - ### Methods inherited from class java.awt.Window

      `addNotify, addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBackground, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setOpacity, setShape, setSize, setSize, setType, show, toBack, toFront`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeZoneSelector

          public TimeZoneSelector(JComponent parentComponent,
                                  AbstractGanttChart gc)

      Constructs a new time zone selector.
      Parameters:
        `parentComponent` - the parent component to which the selector will be hooked
        `gc` - the Gantt chart that will be controlled by the selector
      Since:
        1.0

  - ### Method Detail

    - #### setVisible

          public void setVisible(boolean b)

      Overriden to first select the currently used time zone before actually showing the selector.
      Overrides:
        `setVisible` in class `Selector`
      Since:
        1.0
      See Also:
        `Selector.setAnimationEnabled(boolean)`, `Selector.setGlobalAnimationEnabled(boolean)`

    - #### okPressed

          protected void okPressed()

      The method that gets called when the user hits the ok button. Subclasses are free to override but must call `super.okPressed()` first.
      Since:
        1.0
      See Also:
        `getOkButton()`

    - #### cancelPressed

          protected void cancelPressed()

      The method that gets called when the user hits the cancel button. Subclasses are free to override but must call `super.cancelPressed()` first.
      Since:
        1.0
      See Also:
        `getCancelButton()`

    - #### getTimeZonePanel

          public TimeZonePanel getTimeZonePanel()

      Returns the panel that displays the time zones.
      Returns:
        the time zone panel
      Since:
        1.0

    - #### setSelectedTimeZone

          public void setSelectedTimeZone(TimeZone zone)

      Specifies which time zone shall be selected.
      Parameters:
        `zone` - the time zone to select
      Since:
        1.0

    - #### getCancelButton

          public JButton getCancelButton()

      Returns the cancel button.
      Returns:
        the cancel button
      Since:
        1.0

    - #### getOkButton

          public JButton getOkButton()

      Returns the OK button.
      Returns:
        the ok button
      Since:
        1.0

    - #### getTextField

          public JTextField getTextField()

      Returns the filter text field.
      Returns:
        the filter text field
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.